import { LogicalRangeChangeEventHandler, MouseEventHandler, SizeChangeEventHandler, TimeRangeChangeEventHandler } from 'lightweight-charts';
/**
 * Subscribe `handler` via `chart.subscribeClick()`.
 *
 * ❗Only use inside `<Chart />`.
 */
export declare const ChartOnClickSubscriber: ({ handler, }: {
    handler: MouseEventHandler;
}) => null;
/**
 * Subscribe `handler` via `chart.subscribeCrosshairMove()`.
 *
 * ❗Only use inside `<Chart />`.
 */
export declare const ChartOnCrosshairMoveSubscriber: ({ handler, }: {
    handler: MouseEventHandler;
}) => null;
/**
 * Subscribe `handler` via `chart.timeScale().subscribeSizeChange()`.
 *
 * ❗Only use inside `<Chart />`.
 */
export declare const TimeScaleOnSizeChangeSubscriber: ({ handler, }: {
    handler: SizeChangeEventHandler;
}) => null;
/**
 * Subscribe `handler` via `chart.timeScale().subscribeVisibleTimeRangeChange()`.
 *
 * ❗Only use inside `<Chart />`.
 */
export declare const TimeScaleOnVisibleTimeRangeChangeSubscriber: ({ handler, }: {
    handler: TimeRangeChangeEventHandler;
}) => null;
/**
 * Subscribe `handler` via `chart.timeScale().subscribeVisibleLogicalRangeChange()`.
 *
 * ❗Only use inside `<Chart />`.
 */
export declare const TimeScaleOnVisibleLogicalRangeChangeSubscriber: ({ handler, }: {
    handler: LogicalRangeChangeEventHandler;
}) => null;
